[svn] r5350 - in trunk/rpms: . cfengine dnsmasq gnofract4d gtick perl-IO-Interface python-eyed3 spamassassin tcpreplay

packagers at lists.rpmforge.net packagers at lists.rpmforge.net
Wed May 2 22:56:18 CEST 2007


Author: dag
Date: 2007-05-02 22:56:16 +0200 (Wed, 02 May 2007)
New Revision: 5350

Added:
   trunk/rpms/perl-IO-Interface/
   trunk/rpms/perl-IO-Interface/perl-IO-Interface.spec
Modified:
   trunk/rpms/_template.spec
   trunk/rpms/cfengine/cfengine.spec
   trunk/rpms/dnsmasq/dnsmasq.spec
   trunk/rpms/gnofract4d/gnofract4d.spec
   trunk/rpms/gtick/gtick.spec
   trunk/rpms/python-eyed3/python-eyed3.spec
   trunk/rpms/spamassassin/spamassassin.spec
   trunk/rpms/tcpreplay/tcpreplay.spec
Log:
Updates

Modified: trunk/rpms/_template.spec
===================================================================
--- trunk/rpms/_template.spec	2007-05-02 20:51:23 UTC (rev 5349)
+++ trunk/rpms/_template.spec	2007-05-02 20:56:16 UTC (rev 5350)
@@ -72,8 +72,7 @@
 export GCONF_CONFIG_SOURCE="$(gconftool-2 --get-default-source)"
 gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas &>/dev/null
 
-%postun
-/sbin/ldconfig 2>/dev/null
+%postun -p /sbin/ldconfig
 
 %clean
 %{__rm} -rf %{buildroot}
@@ -89,8 +88,8 @@
 
 %files devel
 %{_includedir}/*.h
-%{_libdir}/*.a
 %{_libdir}/*.so
+%exclude %{_libdir}/*.a
 %exclude %{_libdir}/*.la
 
 %changelog

Modified: trunk/rpms/cfengine/cfengine.spec
===================================================================
--- trunk/rpms/cfengine/cfengine.spec	2007-05-02 20:51:23 UTC (rev 5349)
+++ trunk/rpms/cfengine/cfengine.spec	2007-05-02 20:56:16 UTC (rev 5350)
@@ -10,7 +10,7 @@
 
 Summary: System administration tool for networks
 Name: cfengine
-Version: 2.1.22
+Version: 2.2.0
 Release: 1
 License: GPL
 Group: System Environment/Base
@@ -327,6 +327,9 @@
 %exclude %{_datadir}/cfengine/
 
 %changelog
+* Wed May 02 2007 Dag Wieers <dag at wieers.com> - 2.2.0-1
+- Updated to release 2.2.0.
+
 * Wed Jan 31 2007 Dag Wieers <dag at wieers.com> - 2.1.22-1
 - Updated to release 2.1.22.
 

Modified: trunk/rpms/dnsmasq/dnsmasq.spec
===================================================================
--- trunk/rpms/dnsmasq/dnsmasq.spec	2007-05-02 20:51:23 UTC (rev 5349)
+++ trunk/rpms/dnsmasq/dnsmasq.spec	2007-05-02 20:56:16 UTC (rev 5350)
@@ -4,7 +4,7 @@
 
 Summary: Lightweight caching nameserver with integrated DHCP server
 Name: dnsmasq
-Version: 2.38
+Version: 2.39
 Release: 1
 License: GPL
 Group: System Environment/Daemons
@@ -156,6 +156,9 @@
 %{_localstatedir}/lib/misc/
 
 %changelog
+* Mon Apr 30 2007 Dag Wieers <dag at wieers.com> - 2.39-1
+- Updated to release 2.39.
+
 * Tue Feb 13 2007 Dag Wieers <dag at wieers.com> - 2.38-1
 - Updated to release 2.38.
 

Modified: trunk/rpms/gnofract4d/gnofract4d.spec
===================================================================
--- trunk/rpms/gnofract4d/gnofract4d.spec	2007-05-02 20:51:23 UTC (rev 5349)
+++ trunk/rpms/gnofract4d/gnofract4d.spec	2007-05-02 20:56:16 UTC (rev 5350)
@@ -6,7 +6,7 @@
 
 Summary: Program to generate and view fractals
 Name: gnofract4d
-Version: 3.3
+Version: 3.4
 Release: 1
 License: GPL
 Group: Applications/Multimedia
@@ -38,10 +38,12 @@
         --root="%{buildroot}"
 
 %post
+update-mime-database %{_datadir}/mime &>/dev/null || :
 scrollkeeper-update -q || :
 
 %postun
 scrollkeeper-update -q || :
+update-mime-database %{_datadir}/mime &>/dev/null || :
 
 %clean
 %{__rm} -rf %{buildroot}
@@ -59,6 +61,9 @@
 %{_prefix}/lib/gnofract4d-%{version}/
 
 %changelog
+* Wed May 02 2007 Dag Wieers <dag at wieers.com> - 3.4-1
+- Updated to release 3.4.
+
 * Sun Apr 15 2007 Dag Wieers <dag at wieers.com> - 3.3-1
 - Updated to release 3.3.
 

Modified: trunk/rpms/gtick/gtick.spec
===================================================================
--- trunk/rpms/gtick/gtick.spec	2007-05-02 20:51:23 UTC (rev 5349)
+++ trunk/rpms/gtick/gtick.spec	2007-05-02 20:56:16 UTC (rev 5350)
@@ -7,7 +7,7 @@
 
 Summary: Metronome application
 Name: gtick
-Version: 0.3.13
+Version: 0.3.14
 Release: 1
 License: GPL
 Group: Applications/Multimedia
@@ -66,6 +66,9 @@
 %{_datadir}/applications/%{desktop_vendor}-gtick.desktop
 
 %changelog
+* Mon Apr 30 2007 Dag Wieers <dag at wieers.com> - 0.3.14-1
+- Updated to release 0.3.14.
+
 * Mon Feb 12 2007 Dries Verachtert <dries at ulyssis.org> - 0.3.13-1
 - Updated to release 0.3.13.
 

Added: trunk/rpms/perl-IO-Interface/perl-IO-Interface.spec
===================================================================
--- trunk/rpms/perl-IO-Interface/perl-IO-Interface.spec	                        (rev 0)
+++ trunk/rpms/perl-IO-Interface/perl-IO-Interface.spec	2007-05-02 20:56:16 UTC (rev 5350)
@@ -0,0 +1,57 @@
+# $Id$
+# Authority: dag
+# Upstream: Lincoln D. Stein <lstein$cshl,edu>
+
+%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
+%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)
+
+%define real_name IO-Interface
+
+Summary: Perl module to access to network card configuration information
+Name: perl-IO-Interface
+Version: 1.03
+Release: 1
+License: Artistic
+Group: Applications/CPAN
+URL: http://search.cpan.org/dist/IO-Interface/
+
+Source: http://www.cpan.org/modules/by-module/IO/IO-Interface-%{version}.tar.gz
+BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
+
+BuildRequires: perl
+
+%description
+IO-Interface is a Perl module to accessto network card
+configuration information.
+
+%prep
+%setup -n %{real_name}-%{version}
+
+%build
+CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
+%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"
+
+%install
+%{__rm} -rf %{buildroot}
+%makeinstall
+
+### Clean up buildroot
+%{__rm} -rf %{buildroot}%{perl_archlib} %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist
+
+%clean
+%{__rm} -rf %{buildroot}
+
+%files
+%defattr(-, root, root, 0755)
+%doc Changes MANIFEST META.yml README
+%doc %{_mandir}/man3/IO::Interface.3pm*
+%doc %{_mandir}/man3/IO::Interface::Simple.3pm*
+%dir %{perl_vendorarch}/IO/
+%{perl_vendorarch}/IO/Interface/
+%{perl_vendorarch}/IO/Interface.pm
+%dir %{perl_vendorarch}/auto/IO/
+%{perl_vendorarch}/auto/IO/Interface/
+
+%changelog
+* Wed May 02 2007 Dag Wieers <dag at wieers.com> - 1.03-1
+- Initial package. (using DAR)


Property changes on: trunk/rpms/perl-IO-Interface/perl-IO-Interface.spec
___________________________________________________________________
Name: svn:keywords
   + Id Revision
Name: svn:eol-style
   + native

Modified: trunk/rpms/python-eyed3/python-eyed3.spec
===================================================================
--- trunk/rpms/python-eyed3/python-eyed3.spec	2007-05-02 20:51:23 UTC (rev 5349)
+++ trunk/rpms/python-eyed3/python-eyed3.spec	2007-05-02 20:56:16 UTC (rev 5350)
@@ -8,7 +8,7 @@
 
 Summary: Python Module for ID3 Tag Manipulation
 Name: python-eyed3
-Version: 0.6.12
+Version: 0.6.13
 Release: 1
 License: GPL
 Group: Development/Libraries
@@ -51,6 +51,9 @@
 %{python_sitelib}/eyeD3/
 
 %changelog
+* Wed May 02 2007 Dag Wieers <dag at wieers.com> - 0.6.13-1
+- Updated to release 0.6.13.
+
 * Mon Feb 19 2007 Dag Wieers <dag at wieers.com> - 0.6.12-1
 - Updated to release 0.6.12.
 

Modified: trunk/rpms/spamassassin/spamassassin.spec
===================================================================
--- trunk/rpms/spamassassin/spamassassin.spec	2007-05-02 20:51:23 UTC (rev 5349)
+++ trunk/rpms/spamassassin/spamassassin.spec	2007-05-02 20:56:16 UTC (rev 5350)
@@ -1,6 +1,8 @@
 # $Id$
 # Authority: dag
 
+%{?dist: %{expand: %%define %dist 1}}
+
 %{?rh8:%define _with_perl_5_6 1}
 %{?rh7:%define _with_perl_5_6 1}
 %{?el2:%define _with_perl_5_6 1}
@@ -12,7 +14,7 @@
 
 Summary: Spam filter for email which can be invoked from mail delivery agents
 Name: spamassassin
-Version: 3.1.8
+Version: 3.2.0
 Release: 1
 License: Apache License
 Group: Applications/Internet
@@ -20,16 +22,15 @@
 
 Source: http://www.apache.org/dist/spamassassin/source/Mail-SpamAssassin-%{version}.tar.bz2
 Source99: filter-requires-spamassassin.sh
-#Patch3: spamassassin-3.0.2-krb5-backcompat.patch
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
 
 BuildRequires: perl(HTML::Parser) >= 3.24, perl(Net::DNS), perl(Time::HiRes), openssl-devel
-Requires: procmail, perl(Net::DNS), perl(Time::HiRes), perl-libwww-perl
-Requires: perl(Archive::Tar) >= 1.23, perl(IO::Zlib)
+Requires: procmail, gnupg, perl(Net::DNS), perl(Time::HiRes), perl-libwww-perl
+Requires: perl(Archive::Tar) >= 1.23, perl(IO::Zlib), perl(IO::Socket::SSL)
+Requires: perl(DB_File), perl(LWP::UserAgent), perl(HTTP::Date)
 Requires: /sbin/chkconfig, /sbin/service
-#Requires: perl(Mail::SpamAssassin) = %{version}-%{release}
-Provides: perl(Mail::SpamAssassin) = %{version}-%{release}
-Obsoletes: perl-Mail-SpamAssassin
+Obsoletes: perl-Mail-SpamAssassin <= %{version}-%{release}
+Obsoletes: spamassassin-tools <= %{version}-%{release}
 
 %define __find_requires %{SOURCE99}
 
@@ -50,18 +51,8 @@
 To filter spam for all users, add that line to /etc/procmailrc
 (creating if necessary).
 
-%package tools
-Summary: Miscellaneous tools and documentation for SpamAssassin
-Group: System Environment/Daemons
-Requires: perl(Mail::SpamAssassin) = %{version}
-
-%description tools
-Miscellaneous tools and documentation from various authors, distributed
-with SpamAssassin. See /usr/share/doc/SpamAssassin-tools-*/.
-
 %prep
 %setup -n %{real_name}-%{version}
-#patch3 -p0
 
 %{__cat} <<EOF >local.cf		### SOURCE2
 # These values can be overridden by editing ~/.spamassassin/user_prefs.cf
@@ -92,22 +83,48 @@
 SPAMDOPTIONS="-d -c -m5 -H"
 EOF
 
+%{__cat} <<EOF >sa-update.logrotate		### SOURCE 6
+/var/log/sa-update.log {
+    monthly
+    notifempty
+    missingok
+}
+EOF
+
+%{__cat} <<EOF >sa-update.crontab		### SOURCE 7
+### OPTIONAL: Spamassassin Rules Updates ###
+#
+# http://wiki.apache.org/spamassassin/RuleUpdates
+# Highly recommended that you read the documentation before using this.
+# ENABLE UPDATES AT YOUR OWN RISK.
+#
+# /var/log/sa-update.log contains a history log of sa-update runs
+
+#10 4 * * * root /usr/share/spamassassin/sa-update.cron 2>&1 | tee -a /var/log/sa-update.log
+EOF
+
+%{__cat} <<'EOF' >sa-update.cronscript		### SOURCE 8
+#!/bin/bash
+
+sleep $(expr $RANDOM % 7200)
+# Only restart spamd if sa-update returns 0, meaning it updated the rules
+/usr/bin/sa-update && /etc/init.d/spamassassin condrestart > /dev/null
+EOF
+
 %{__cat} <<EOF >spamassassin-helper.sh		### SOURCE10
 #!/bin/sh
 /usr/bin/spamassassin -e
 EOF
 
 %build
-export CFLAGS="-I/usr/kerberos/include %{optflags} -fPIC"
+export CFLAGS="%{optflags} -I/usr/kerberos/include"
 %{__perl} Makefile.PL \
 %{!?_with_perl_5_6:DESTDIR="%{buildroot}"} \
 		SYSCONFDIR="%{_sysconfdir}" \
 		INSTALLDIRS="vendor" \
 		ENABLE_SSL="yes" </dev/null
-%{__make} %{?_smp_mflags} \
-	OPTIMIZE="%{optflags} -fPIC"
-%{__make} %{?_smp_mflags} spamc/libspamc.so \
-	LIBS="-ldl %{optflags} -fPIC"
+%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"
+%{__make} %{?_smp_mflags} spamc/libspamc.so LIBS="-ldl %{optflags} -fPIC"
 
 %install
 %{__rm} -rf %{buildroot}
@@ -126,19 +143,33 @@
 %{__install} -Dp -m0644 spamassassin-default.rc %{buildroot}%{_sysconfdir}/mail/spamassassin/spamassassin-default.rc
 %{__install} -Dp -m0644 spamassassin-spamc.rc %{buildroot}%{_sysconfdir}/mail/spamassassin/spamassassin-spamc.rc
 %{__install} -Dp -m0644 spamassassin-helper.sh %{buildroot}%{_sysconfdir}/mail/spamassassin/spamassassin-helper.sh
+%{__install} -Dp -m0644 sa-update.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/sa-update
+%{__install} -Dp -m0600 sa-update.crontab %{buildroot}%{_sysconfdir}/cron.d/sa-update
+%{__install} -Dp -m0744 sa-update.cronscript %{buildroot}%{_datadir}/spamassassin/sa-update.cron
 
+%{__install} -d -m0755 %{buildroot}%{_localstatedir}/lib/spamassassin/
+%{__install} -d -m0755 %{buildroot}%{_localstatedir}/run/spamassassin/
+
 ### Disable find-requires for documentation
-find contrib/ masses/ sql/ tools/ -type f -exec %{__chmod} -x {} \;
+find ldap/ sql/ -type f -exec %{__chmod} -x {} \;
 
 ### Clean up buildroot
 %{__rm} -rf %{buildroot}%{perl_archlib}
 %{__rm} -rf %{buildroot}%{perl_vendorarch}
 
 %post
-if [ $1 -eq 1 ]; then
-        /sbin/chkconfig --add spamassassin
-fi
+/sbin/chkconfig --add spamassassin
 
+# -a and --auto-whitelist options were removed from 3.0.0
+# prevent service startup failure
+TMPFILE=$(/bin/mktemp /etc/sysconfig/spamassassin.XXXXXX) || exit 1
+cp /etc/sysconfig/spamassassin $TMPFILE
+perl -p -i -e 's/(["\s]-\w+)a/$1/ ; s/(["\s]-)a(\w+)/$1$2/ ; s/(["\s])-a\b/$1/' $TMPFILE
+perl -p -i -e 's/ --auto-whitelist//' $TMPFILE
+# replace /etc/sysconfig/spamassassin only if it actually changed
+cmp /etc/sysconfig/spamassassin $TMPFILE || cp $TMPFILE /etc/sysconfig/spamassassin
+rm $TMPFILE
+
 if [ -f %{_sysconfdir}/spamassassin.cf ]; then
 	%{__mv} -f %{_sysconfdir}/spamassassin.cf %{_sysconfdir}/mail/spamassassin/migrated.cf
 fi
@@ -147,8 +178,6 @@
 	%{__mv} -f %{_sysconfdir}/mail/spamassassin.cf %{_sysconfdir}/mail/spamassassin/migrated.cf
 fi
 
-/sbin/service spamassassin condrestart &>/dev/null || :
-
 %preun
 if [ $1 -eq 0 ]; then
         /sbin/service spamassassin stop &>/dev/null || :
@@ -165,25 +194,29 @@
 
 %files
 %defattr(-, root, root, 0755)
-%doc BUGS Changes CREDITS LICENSE NOTICE PACKAGING README STATUS TRADEMARK
-%doc *.txt spamc/README.qmail UPGRADE USAGE
+%doc Changes CREDITS LICENSE NOTICE PACKAGING README TRADEMARK UPGRADE USAGE
+%doc *.txt spamc/README.qmail ldap/ sql/
 %doc %{_mandir}/man1/*.1*
 %doc %{_mandir}/man3/*.3pm*
 %config %{_initrddir}/spamassassin
+%config(noreplace) %{_sysconfdir}/cron.d/sa-update
+%config(noreplace) %{_sysconfdir}/logrotate.d/sa-update
 %config(noreplace) %{_sysconfdir}/mail/spamassassin/
 %config(noreplace) %{_sysconfdir}/sysconfig/spamassassin
+%dir %{_datadir}/spamassassin/
+%dir %{_localstatedir}/lib/spamassassin/
+%dir %{_localstatedir}/run/spamassassin/
 %{_bindir}/*
 %{_datadir}/spamassassin/
+%{_includedir}/libspamc.h
 %{_libdir}/libspamc.so
 %{perl_vendorlib}/Mail/
 %{perl_vendorlib}/spamassassin-run.pod
-%{_includedir}/libspamc.h
 
-%files tools
-%defattr(0644, root, root, 0755)
-%doc contrib/ masses/ sql/ tools/
+%changelog
+* Wed May 02 2007 Dag Wieers <dag at wieers.com> - 3.2.0-1
+- Updated to release 3.2.0.
 
-%changelog
 * Fri Feb 16 2007 Dag Wieers <dag at wieers.com> - 3.1.8-1
 - Updated to release 3.1.8.
 

Modified: trunk/rpms/tcpreplay/tcpreplay.spec
===================================================================
--- trunk/rpms/tcpreplay/tcpreplay.spec	2007-05-02 20:51:23 UTC (rev 5349)
+++ trunk/rpms/tcpreplay/tcpreplay.spec	2007-05-02 20:56:16 UTC (rev 5350)
@@ -10,7 +10,7 @@
 
 Summary: Replay captured network traffic
 Name: tcpreplay
-Version: 3.0.0
+Version: 3.0.1
 Release: 1
 License: BSD
 Group: Applications/Internet
@@ -74,6 +74,9 @@
 %{_bindir}/tcprewrite
 
 %changelog
+* Wed May 02 2007 Dag Wieers <dag at wieers.com> - 3.0.1-1
+- Updated to release 3.0.1.
+
 * Fri Apr 20 2007 Dag Wieers <dag at wieers.com> - 3.0.0-1
 - Updated to release 3.0.0.
 




More information about the commits mailing list